# Uses of Interface
org.opensaml.saml.saml2.metadata.AuthnQueryService

Packages that use AuthnQueryService
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AuthnQueryService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AuthnQueryService
Modifier and Type
Method
Description
`List<AuthnQueryService>`
AuthnAuthorityDescriptor.`getAuthnQueryServices()`
Gets the list of authentication query services for this authority.

## Uses of AuthnQueryService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AuthnQueryService
Modifier and Type
Class
Description
`class`
`AuthnQueryServiceImpl`
Concrete implementation of `AuthnQueryService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AuthnQueryService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthnQueryService>`
AuthnAuthorityDescriptorImpl.`authnQueryServices`
AuthnQueryService endpoints.
Methods in org.opensaml.saml.saml2.metadata.impl that return AuthnQueryService
Modifier and Type
Method
Description
`AuthnQueryService`
AuthnQueryServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnQueryService`
AuthnQueryServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AuthnQueryService
Modifier and Type
Method
Description
`List<AuthnQueryService>`
AuthnAuthorityDescriptorImpl.`getAuthnQueryServices()`
Gets the list of authentication query services for this authority.